package com.cartrack.getgosample

import com.google.gson.Gson
import com.google.gson.JsonParseException
import com.google.gson.JsonSyntaxException
import com.google.gson.reflect.TypeToken

inline fun <reified T> Gson.fromJson(json: String) : T? {
    return try {
        fromJson(json, object : TypeToken<T>() {}.type)
    } catch (ex: JsonParseException) {
        null
    } catch (ex: JsonSyntaxException) {
        null
    }
}